FileSpecification (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class FileSpecification

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.FileSpecification

    public class FileSpecification

extends java.lang.Object

A class which encapsulates a file specification in PDF. A file specification may be given as either a string or a dictionary. The specification is converted to a string according to the following rules: If a PDF string object is the file specifier, that string is used, without attempting to convert file separators to the local file system. If a PDF dictionary is used, one of the following is used, in decreasing order of preference:

- The system-neutral file specification string
- The Unix file specification string
- The DOS file specification string
- The Macintosh file specification string

Constructor Summary
`FileSpecification(PdfObject obj)` Constructor.

Method Summary
`PdfObject` | `getSourceObject()` Returns the PdfObject from which the file specification was created.
`java.lang.String` | `getSpecString()` Returns the file specification as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSpecification

    public FileSpecification(PdfObject obj)
                      throws PdfException

  Constructor.

  Parameters:
    `obj` - A PdfDictionary with the file specification under the key "F", "Unix", "DOS", or "Mac"; or a PdfSimpleObject whose string value is the file specification. If `obj` is a dictionary and more than one key is specified, then the first of the keys F, Unix, DOS, and Mac to be found is used.
  Throws:
    `PdfException`

Method Detail

### getSpecString

    public java.lang.String getSpecString()

  Returns the file specification as a string.

### getSourceObject

    public PdfObject getSourceObject()

  Returns the PdfObject from which the file specification was created.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD